Mr DeepFakes Forums
  • New and improved dark forum theme!
  • Guests can now comment on videos on the tube.
   
dpfksOpenFaceSwap Installation and Use
#11
(12-23-2018, 06:48 PM)jespo1352 Wrote: You are not allowed to view links. Register or Login to view.Can you use an AMD fx 8320E with this?

Unfortunately, no.  You need an Nvidia GPU that supports CUDA with a compute capability of 3.0 or greater.
#12
(12-23-2018, 07:21 PM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-23-2018, 06:48 PM)jespo1352 Wrote: You are not allowed to view links. Register or Login to view.Can you use an AMD fx 8320E with this?

Unfortunately, no.  You need an Nvidia GPU that supports CUDA with a compute capability of 3.0 or greater.

My GPU is Geforce GTX 750 - Nvidia
#13
(12-23-2018, 07:32 PM)jespo1352 Wrote: You are not allowed to view links. Register or Login to view.
(12-23-2018, 07:21 PM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-23-2018, 06:48 PM)jespo1352 Wrote: You are not allowed to view links. Register or Login to view.Can you use an AMD fx 8320E with this?

Unfortunately, no.  You need an Nvidia GPU that supports CUDA with a compute capability of 3.0 or greater.

My GPU is Geforce GTX 750 - Nvidia

Ok, great!

Your CPU should be fine.
#14
Hum Can you help me ? :

WARNING:tensorflow:From D:\Program Files\OpenFaceSwap\python\python-3.6.3.amd64\lib\site-packages\keras\backend\tensorflow_backend.py:1349: calling reduce_mean (from tensorflow.python.ops.math_ops) with keep_dims is deprecated and will be removed in a future version.
Instructions for updating:
keep_dims is deprecated, use keepdims instead
2018-12-24 12:47:23.197941: E T:\src\github\tensorflow\tensorflow\stream_executor\cuda\cuda_dnn.cc:396] Loaded runtime CuDNN library: 7402 (compatibility version 7400) but source was compiled with 7003 (compatibility version 7000). If using a binary install, upgrade your CuDNN library to match. If building from sources, make sure the library loaded at runtime matches a compatible version specified during compile configuration.
2018-12-24 12:47:23.205363: F T:\src\github\tensorflow\tensorflow\core\kernels\conv_ops.cc:712] Check failed: stream->parent()->GetConvolveAlgorithms( conv_parameters.ShouldIncludeWinogradNonfusedAlgo<T>(), &algorithms)
#15
(12-24-2018, 02:48 PM)Akanee Wrote: You are not allowed to view links. Register or Login to view.Hum Can you help me ? :

WARNING:tensorflow:From D:\Program Files\OpenFaceSwap\python\python-3.6.3.amd64\lib\site-packages\keras\backend\tensorflow_backend.py:1349: calling reduce_mean (from tensorflow.python.ops.math_ops) with keep_dims is deprecated and will be removed in a future version.
Instructions for updating:
keep_dims is deprecated, use keepdims instead
2018-12-24 12:47:23.197941: E T:\src\github\tensorflow\tensorflow\stream_executor\cuda\cuda_dnn.cc:396] Loaded runtime CuDNN library: 7402 (compatibility version 7400) but source was compiled with 7003 (compatibility version 7000).  If using a binary install, upgrade your CuDNN library to match.  If building from sources, make sure the library loaded at runtime matches a compatible version specified during compile configuration.
2018-12-24 12:47:23.205363: F T:\src\github\tensorflow\tensorflow\core\kernels\conv_ops.cc:712] Check failed: stream->parent()->GetConvolveAlgorithms( conv_parameters.ShouldIncludeWinogradNonfusedAlgo<T>(), &algorithms)

Your cudNN doesn't match tensorflow.  For OpenFaceSwap you need cudNN version 7.05.  Reinstall CUDA, including patches, then install cudNN version 7.05 (there are two, one is for Win10, one is for Win7, make sure you get the correct one).  After that, restart your PC so everything gets logged correctly, then try again.  There is a small chance that you will also need to reinstall OpenFaceSwap.
#16
Thanks a lot for your help but tell is it possible to keep the version 8.0 cause it already installed for another app (fake app 1.1) and don't really want to have issue after installing an older version of cuda ...
#17
(12-25-2018, 02:08 AM)Akanee Wrote: You are not allowed to view links. Register or Login to view.Thanks a lot for your help but tell is it possible to keep the version 8.0 cause it already installed for another app (fake app 1.1) and don't really want to have issue after installing an older version of cuda ...

Multiple versions of CUDA and cudNN on the same machine?  I do not know the answer.  I'm sorry.
#18
Thanks a lot anyway for your help and answers Smile

then you think fakapp or DFL are not better than ..Photoshop ?

I think yes, but for seamlesse tone color and shadow i saw that DFL or fakeapp does a great job (but too long for training instead of photoshop, true..) have you a advice about that ? i mean a secret on photoshop that will help me a lot for better and realistic faceswap ? thanks a lot for your answer Smile

(12-24-2018, 11:18 PM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-24-2018, 02:48 PM)Akanee Wrote: You are not allowed to view links. Register or Login to view.Hum Can you help me ? :

WARNING:tensorflow:From D:\Program Files\OpenFaceSwap\python\python-3.6.3.amd64\lib\site-packages\keras\backend\tensorflow_backend.py:1349: calling reduce_mean (from tensorflow.python.ops.math_ops) with keep_dims is deprecated and will be removed in a future version.
Instructions for updating:
keep_dims is deprecated, use keepdims instead
2018-12-24 12:47:23.197941: E T:\src\github\tensorflow\tensorflow\stream_executor\cuda\cuda_dnn.cc:396] Loaded runtime CuDNN library: 7402 (compatibility version 7400) but source was compiled with 7003 (compatibility version 7000).  If using a binary install, upgrade your CuDNN library to match.  If building from sources, make sure the library loaded at runtime matches a compatible version specified during compile configuration.
2018-12-24 12:47:23.205363: F T:\src\github\tensorflow\tensorflow\core\kernels\conv_ops.cc:712] Check failed: stream->parent()->GetConvolveAlgorithms( conv_parameters.ShouldIncludeWinogradNonfusedAlgo<T>(), &algorithms)

Your cudNN doesn't match tensorflow.  For OpenFaceSwap you need cudNN version 7.05.  Reinstall CUDA, including patches, then install cudNN version 7.05 (there are two, one is for Win10, one is for Win7, make sure you get the correct one).  After that, restart your PC so everything gets logged correctly, then try again.  There is a small chance that you will also need to reinstall OpenFaceSwap.


Oh and by the way, witch version of cuda i must use ?
Cause, theres is many version of cdnn for cuda 7,8,9 lol...then should i install cddn 7.05 for CUDA 9 or 8 ?
wich is better ? my specs are win10 x64, I7 7700K, GTX 1070 8Gb, 32Gb of RAM.
#19
(12-25-2018, 01:12 PM)Akanee Wrote: You are not allowed to view links. Register or Login to view.Thanks a lot anyway for your help and answers Smile

then you think fakapp or DFL are not better than ..Photoshop ?

I think yes, but for seamlesse tone color and shadow i saw that DFL or fakeapp does a great job (but too long for training instead of photoshop, true..) have you a advice about that ? i mean a secret on photoshop that will help me a lot for better and realistic faceswap ? thanks a lot for your answer Smile

(12-24-2018, 11:18 PM)Pocketspeed Wrote: You are not allowed to view links. Register or Login to view.
(12-24-2018, 02:48 PM)Akanee Wrote: You are not allowed to view links. Register or Login to view.Hum Can you help me ? :

WARNING:tensorflow:From D:\Program Files\OpenFaceSwap\python\python-3.6.3.amd64\lib\site-packages\keras\backend\tensorflow_backend.py:1349: calling reduce_mean (from tensorflow.python.ops.math_ops) with keep_dims is deprecated and will be removed in a future version.
Instructions for updating:
keep_dims is deprecated, use keepdims instead
2018-12-24 12:47:23.197941: E T:\src\github\tensorflow\tensorflow\stream_executor\cuda\cuda_dnn.cc:396] Loaded runtime CuDNN library: 7402 (compatibility version 7400) but source was compiled with 7003 (compatibility version 7000).  If using a binary install, upgrade your CuDNN library to match.  If building from sources, make sure the library loaded at runtime matches a compatible version specified during compile configuration.
2018-12-24 12:47:23.205363: F T:\src\github\tensorflow\tensorflow\core\kernels\conv_ops.cc:712] Check failed: stream->parent()->GetConvolveAlgorithms( conv_parameters.ShouldIncludeWinogradNonfusedAlgo<T>(), &algorithms)

Your cudNN doesn't match tensorflow.  For OpenFaceSwap you need cudNN version 7.05.  Reinstall CUDA, including patches, then install cudNN version 7.05 (there are two, one is for Win10, one is for Win7, make sure you get the correct one).  After that, restart your PC so everything gets logged correctly, then try again.  There is a small chance that you will also need to reinstall OpenFaceSwap.


Oh and by the way, witch version of cuda i must use ?
Cause, theres is many version of cdnn for cuda 7,8,9 lol...then should i install cddn 7.05 for CUDA 9 or 8 ?
wich is better ? my specs are win10 x64, I7 7700K, GTX 1070 8Gb, 32Gb of RAM.


For your machine, OpenFaceSwap needs CUDA 9.0.  cudNN should be version 7.05 for CUDA 9.0 and Windows 10.

Keep in mind that Fakeapp 1.1, Fakeapp 2.2, OpenFaceSwap, and MyFakeApp are applications built upon old source code.  They are all behind the current sources in development.  Development on all of these applications has stopped, so they will never improve.  However, some people still use them and get decent results.  Much of this is personal preference.

To the best of my knowledge, there are only two faking applications that are still in development and up to date.  These are DeepFaceLab, and the git repo for faceswap.  Many fakers use DeepFaceLab, because it is an all-in-one, no installation package.  It also has a batch file setup for work flow that makes it fairly easy to use.  Personally, I use the the faceswap git because I like the GUI and various options available.  But it's just my opinion.
#20
But what about photos you said that it got some all in one features...but photos are not one of them right ?

Forum Jump:

Users browsing this thread: 2 Guest(s)